﻿using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Extensions;
using XF.Domain.Authentications;

namespace Exam.Infrastructure.Data.Extensions
{
    public static class ActionRequestExtensions
    {

        public static void InitRequest(this ActionRequest actionRequest,ISessionContext sessionContext)
        {
            if (actionRequest.Id == null || actionRequest.Id.IsNullOrEmpty())
            {
                actionRequest.Id = Guid.NewGuid().ToString();
            }

            actionRequest.UserId = sessionContext.UserId;
            actionRequest.UserName = sessionContext.UserName;
            actionRequest.OrgId = sessionContext.OrgId;
            actionRequest.AreaId = sessionContext.AreaId;
            actionRequest.OrgName = sessionContext.OrgName;
            actionRequest.OrgLevel = sessionContext.OrgLevel;
        }
    
    
        public static void InitRequest<TDest,TSource>(this List<TDest> actionRequests, TSource actionRequest) 
            where TDest : ActionRequest
            where TSource : ActionRequest
        {
            foreach(var item in actionRequests)
            {
                item.InitRequest(actionRequest);
            }
        }

        public static void InitRequest<TDest, TSource>(this TDest dest, TSource source) 
            where TDest:ActionRequest
            where TSource:ActionRequest
        {
            dest.UserId = source.UserId;
            dest.UserName = source.UserName;
            dest.OrgId = source.OrgId;
            dest.AreaId = source.AreaId;
            dest.OrgName = source.OrgName;
            dest.OrgLevel = source.OrgLevel;
        }
    }
}
