﻿using Exam.ExamManages;
using Exam.Infrastructure.Extensions;
using Exam.Questions;
using Hotline.Share.Requests.Question;
using JiebaNet.Segmenter.Common;
using SqlSugar;
using System.Linq.Expressions;

namespace Hotline.Application.Exam.QueryExtensions.Questions
{
    public static class QuestionQueryExtesions
    {
        public static Expression<Func<Question,bool>> GetExpression(this QuestionPagedRequest questionPagedRequest)
        {
            Expression<Func<Question, bool>> expression = m => m.Id != null;

            Expressionable<Question> expressionable = new Expressionable<Question>();
            expressionable.AndIF(questionPagedRequest.DifficultyLevel.IsNotNull(), x => questionPagedRequest.DifficultyLevel == x.DifficultyLevel);
            expressionable.AndIF(questionPagedRequest.Title.IsNotNullOrEmpty(), x => x.Title.Contains(questionPagedRequest.Title));
            expression = expressionable.ToExpression();
            return expression;
        }

        public static Expression<Func<QuestionTag,bool>> GetQuestionTagExpression(this QuestionPagedRequest questionPagedRequest)
        {
            Expression<Func<QuestionTag, bool>> expression = m => m.Id != null;

            Expressionable<QuestionTag> expressionable = new Expressionable<QuestionTag>();
            expressionable.AndIF(questionPagedRequest.TagId.IsNotNullOrEmpty(), x => questionPagedRequest.TagId == x.TagId);
            expression = expressionable.ToExpression();
            return expression;
        }

        public static Expression<Func<ExamTag, bool>> GetExamTagExpression(this QuestionPagedRequest questionPagedRequest)
        {
            Expression<Func<ExamTag, bool>> expression = m => m.Id != null;

            Expressionable<ExamTag> expressionable = new Expressionable<ExamTag>();
            expressionable.AndIF(questionPagedRequest.TagId.IsNotNullOrEmpty(), x => questionPagedRequest.TagId == x.Id);
            expression = expressionable.ToExpression();

            return expression;
        }
    }
}
