﻿using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Extensions;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.Dtos.TestPapers
{
    /// <summary>
    /// 标签试题数
    /// </summary>
    [Description("标签试题数")]
    public class TagQuestionDto:ActionRequest
    {
        /// <summary>
        /// 标签Id
        /// </summary>
        [Description("标签Id")]
        public string TagId { get; set; }

        /// <summary>
        /// 标签
        /// </summary>
        [Description("标签")]
        public string Tag { get; set; }

        /// <summary>
        /// 规则Id
        /// </summary>
        [Description("规则Id")]
        public string RuleId { get; set; }

        /// <summary>
        /// 试题类型
        /// </summary>
        [Description("试题类型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 试题类型
        /// </summary>
        [Description("试题类型")]
        public string QuestionTypeDes
        {
            get
            {
                return QuestionType.GetDescription();
            }
        }

        /// <summary>
        /// 试题数量
        /// </summary>
        [Description("试题数量")]
        public int Count { get; set; }
    }
}
