﻿using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Extensions;
using Hotline.Share.Dtos.TrCallCenter;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.Dtos.TestPapers
{
    /// <summary>
    /// 人工组卷试题
    /// </summary>
    [Description("人工组卷试题")]
    public class TestPaperItemDto:ActionRequest
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 试卷Id
        /// </summary>
        [Description("试卷Id")]
        public string TestPaperId { get; set; }

        /// <summary>
        /// 难度
        /// </summary>
        [Description("难度")]
        public EDifficultyLevel DifficultyLevel { get; set; }

        /// <summary>
        /// 难度
        /// </summary>
        [Description("难度")]
        public string DifficultyLevelDesc { get
            {
                return DifficultyLevel.GetDescription();
            } 
        }

        /// <summary>
        /// 题型
        /// </summary>
        [Description("题型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 题型
        /// </summary>
        [Description("题型")]
        public string QuestionTypeDes
        {
            get
            {
                return QuestionType.GetDescription();
            }
        }

        /// <summary>
        /// 标题
        /// </summary>
        [Description("标题")]
        public string Title { get; set; }
    }
}
