﻿using Exam.Infrastructure.Data.Entity;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;
using System.Text.Json.Serialization;

namespace Hotline.Share.Dtos.TestPapers
{
    /// <summary>
    /// 试卷规则
    /// </summary>
    [Description("试卷规则")]
    public class TestPaperRuleDto : ActionRequest
    {
        /// <summary>
        /// 试卷Id
        /// </summary>
        [Description("试卷Id")]
        public string TestPaperId { get; set; }

        /// <summary>
        /// 试题类型
        /// </summary>
        [Description("试题类型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 试题难度
        /// </summary>
        [Description("试题难度")]
        public EDifficultyLevel DifficultyLevel { get; set; }

        /// <summary>
        /// 试题数量
        /// </summary>
        [Description("试题数量")]
        public int Count { get; set; }

        /// <summary>
        /// 组卷规则标签
        /// </summary>
        [Description("组卷规则标签")]
        [JsonIgnore]
        public TestPaperRuleTagDto TestPaperRuleTagDto { get; set; }

        /// <summary>
        /// 标签Id
        /// </summary>
        [Description("标签Id")]
        public string TagId { get; set; }
    }
}
